#!/bin/bash

function install(){
	if ! command -v slcand > /dev/null
	then
		if ping -q -c 1 -W 1 google.com >/dev/null;
		then
			echo "Not found can-utils, begin to install can-utils"
			sudo apt-get update
			sudo apt-get install can-utils
		else
  			echo "Please connect Net"
  			exit
		fi
	else
		echo "Host already install can-utils"
	fi
	
	chmod 777 replaceuart.sh
	sudo ./replaceuart.sh
	sudo cp 87-aaeon-can.rules /etc/udev/rules.d/
	sudo mkdir -p /opt/aaeon/canbus
	echo "Setup file will copy to /opt/aaeon/canbus , if need,you could go there to use"
	sudo cp -R * /opt/aaeon/canbus
	#sudo cp *.sh /opt/aaeon/canbus
	#sudo cp Setup.sh /opt/aaeon/canbus
	#sudo cp uartcan.sh /opt/aaeon/canbus
	#sudo cp usbcan.sh /opt/aaeon/canbus
	sudo cp *.service /etc/systemd/system
	sudo systemctl start UpCanUsb.service
	sudo systemctl start UpCanUart.service
	sudo systemctl enable UpCanUsb.service
	sudo systemctl enable UpCanUart.service
	echo "You need to reboot to active udev"



}

function uninstall()
{
	echo "remove aaeon UP can rules"
	sudo rm /etc/udev/rules.d/87-aaeon-can.rules
	sudo systemctl stop UpCanUsb.service
	sudo systemctl stop UpCanUart.service
	sudo systemctl disable UpCanUsb.service
	sudo systemctl disable UpCanUart.service
	sudo rm /etc/systemd/system/UpCanUsb.service
	sudo rm /etc/systemd/system/UpCanUart.service
	sudo rm -rf /opt/aaeon/canbus
}

function update_firmware()
{
	chmod 777 $(pwd)/bootloader.sh
	$(pwd)/bootloader.sh

}

case $1 in 
	install) 
		install
		;;	
	uninstall)
		uninstall;;
	update_firmware)
		update_firmware;;
	*)
		 echo unknown
		 echo you could use \"./Setup.sh install\" to install
		 echo -e \	\	\or                      
		 echo you could use \"./Setup.sh uninstall\" to uninstall;;
	
esac
